Base Module VST 3.7 SDK for developing VST plug-in

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Namespaces | Macros | Typedefs | Functions
fstring.cpp File Reference
`#include "base/source/fstring.h"`
`#include "base/source/fdebug.h"`
`#include "pluginterfaces/base/futils.h"`
`#include "pluginterfaces/base/fvariant.h"`
`#include <cstdlib>`
`#include <cctype>`
`#include <cstdio>`
`#include <cstdarg>`
`#include <utility>`
`#include <complex>`
`#include <cmath>`
`#include <algorithm>`
`#include <cassert>`
`#include <codecvt>`
`#include <locale>`
`#include <cstring>`
`#include <string>`
`#include <limits>`
`#include <wchar.h>`

## Namespaces
namespace | Steinberg

## Macros
#define | kPrintfBufferSize 4096
#define | SMTG_STRING_CHECK_CONVERSION 1
#define | SMTG_STRING_CHECK_CONVERSION_NO_BREAK 1
#define | SMTG_STRING_CHECK_MSG FDebugPrint

## Typedefs
using | ConverterFacet = std::codecvt_utf8_utf16< char16_t >
using | Converter = std::wstring_convert< ConverterFacet, char16_t >

## Functions
uint32 | hashString8 (const char8 *s, uint32 m)
uint32 | hashString16 (const char16 *s, uint32 m)
template<class T >
int32 | tstrnatcmp (const T *s1, const T *s2, bool caseSensitive=true)
int32 | strnatcmp8 (const char8 *s1, const char8 *s2, bool caseSensitive)
int32 | strnatcmp16 (const char16 *s1, const char16 *s2, bool caseSensitive)

## Macro Definition Documentation

#define kPrintfBufferSize 4096

#define SMTG_STRING_CHECK_CONVERSION 1

#define SMTG_STRING_CHECK_CONVERSION_NO_BREAK 1

#define SMTG_STRING_CHECK_MSG FDebugPrint

## Typedef Documentation

using ConverterFacet = std::codecvt_utf8_utf16<char16_t>

using Converter = std::wstring_convert<ConverterFacet, char16_t>

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.